<!DOCTYPE html>
<html>
<head>
  
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />

<script type="text/javascript" src="js/jquery.min.js"></script>
<script type="text/javascript" src="js/jquery.tablesorter.min.js"></script>
<script type="text/javascript" src="js/Chart.min.js"></script>
<script type="text/javascript" src="js/bootstrap.min.js"></script>

<link rel="stylesheet" href="css/bootstrap.min.css" type="text/css"/>
<link rel="stylesheet" href="css/reporting.css" type="text/css"/>
<link rel="stylesheet" href="css/font-awesome.min.css"/>
<link rel="shortcut icon" href="images/favicon.png"/>

<script type="text/javascript">
$(document).ready(function() {
    // this will tell tablesorter to try looking for the data-value attribute
    // if present, it'll sort by that instead
    // otherwise, it'll sort by the text content of the table cell
    $("#tablesorter").tablesorter({
        textAttribute: 'data-value',
        // ignores the first row of the header, the 'scenario', 'steps', since
        // sorting those doesn't make sense
        selectorHeaders: '> thead tr:not(.dont-sort) th',
        // use a stable sort
        sortStable: true
    });
});
</script>












  
<title>Cucumber-JVM Reports  - Feature: Validate the Books Post Request</title>

</head>
<body>

<nav class="navbar navbar-default navbar-fixed-top" id="navigation">
  <div class="container-fluid">
    <div class="collapse navbar-collapse">
      <p class="navbar-text navbar-left">Cucumber-JVM Report</p>
      <ul class="nav navbar-nav navbar-right">
                <li role="presentation" ><a href="feature-overview.html">Features</a></li>
        <li role="presentation" ><a href="tag-overview.html">Tags</a></li>
        <li role="presentation" ><a href="step-overview.html">Steps</a></li>
        <li role="presentation" ><a href="failures-overview.html">Failures</a></li>
      </ul>
    </div>
  </div>
</nav>

<div class="container-fluid" id="build-info">
  <div class="row">
    <div class="col-md-6 col-md-offset-1">
      <table class="table table-bordered">
        <thead>
          <tr>
            <th>Project</th>
                          <th>Number</th>
                        <th>Date</th>
          </tr>
        </thead>
        <tbody>
          <tr class="info">
            <td>RestAssured-BDD-Java</td>
                          <td>1</td>
                        <td>10 Aug 2021, 15:30</td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</div>

<div id="report-lead" class="container-fluid>
  <div class="row">
    <div class="col-md-10 col-md-offset-1">
      <h2>Feature Report</h2>
          </div>
  </div>
</div>

<div class="container-fluid" id="summary">
  <div class="row">
    <div class="col-md-10 col-md-offset-1">
      <table class="stats-table">

        <thead>
  <tr class="header dont-sort">
        <th></th>
    <th colspan="3">Scenarios</th>
    <th colspan="6">Steps</th>
    <th colspan="2">Totals</th>
  </tr>
  <tr>
    <th>Feature</th>
        <th class="passed">Passed</th>
    <th class="failed">Failed</th>
    <th class="total">Total</th>
    <th class="passed">Passed</th>
    <th class="failed">Failed</th>
    <th class="skipped">Skipped</th>
    <th class="pending">Pending</th>
    <th class="undefined">Undefined</th>
    <th class="total">Total</th>
    <th>Duration</th>
    <th>Status</th>
  </tr>
</thead>

        <tbody>
        <tr>
          <td class="tagname">Validate the Books Post Request</td>
                    <td  class="passed"    >1</td>
          <td >0</td>
          <td class="total">1</td>
          <td      class="passed"    >7</td>
          <td >0</td>
          <td >0</td>
          <td >0</td>
          <td >0</td>
          <td class="total">7</td>
          <td class="duration" data-value="2951000000">2s 951ms</td>
          <td class="passed">Passed</td>
        </tr>
        </tbody>

      </table>
    </div>
  </div>
</div>



<div class="container-fluid" id="report">
  <div class="row">
    <div class="col-md-10 col-md-offset-1">
      <div class="feature">
        
<div class="tags indention">
  </div>

        
<div class="brief passed">
  <span class="keyword indention">Feature</span>
  <span class="name">Validate the Books Post Request</span>
  

  </div>

        <div class="description indention"></div>

        <div class="elements inner-level">
                      
<div class="element">
  
  
<div class="tags indention">
  </div>


    <span data-toggle="collapse" class=" collapsed  collapsable-control" data-target="#element-1">
    
<div class="brief passed">
  <span class="keyword indention">Background</span>
  <span class="name"></span>
  

       <i class="chevron fa fa-fw"></i>
  </div>

  </span>
  <div class="description indention"></div>

  <div id="element-1" class="collapse collapsable-details ">
    


    
<div class="steps inner-level">
    <div data-toggle="collapse" class=" collapsed  collapsable-control" data-target="#steps-2">
    
<div class="brief passed">
  <span class="keyword indention">Steps</span>
  <span class="name"></span>
  

       <i class="chevron fa fa-fw"></i>
  </div>

  </div>

  <div id="steps-2" class="inner-level collapse collapsable-details ">
          <div class="step">
        
<div class="brief passed">
  <span class="keyword indention">Given</span>
  <span class="name">Service is running with path "/posts/"</span>
  
  <span class="lead-duration duration">433ms</span>

  </div>

        


        
        

        

        

      </div>
      </div>
</div>


    

  </div>
</div>

                      
<div class="element">
  
  
<div class="tags indention">
  </div>


    <span data-toggle="collapse" class=" collapsed  collapsable-control" data-target="#element-3">
    
<div class="brief passed">
  <span class="keyword indention">Scenario Outline</span>
  <span class="name">1- POST request to add the product</span>
  

       <i class="chevron fa fa-fw"></i>
  </div>

  </span>
  <div class="description indention"></div>

  <div id="element-3" class="collapse collapsable-details ">
    


    
<div class="steps inner-level">
    <div data-toggle="collapse" class=" collapsed  collapsable-control" data-target="#steps-4">
    
<div class="brief passed">
  <span class="keyword indention">Steps</span>
  <span class="name"></span>
  

       <i class="chevron fa fa-fw"></i>
  </div>

  </div>

  <div id="steps-4" class="inner-level collapse collapsable-details ">
          <div class="step">
        
<div class="brief passed">
  <span class="keyword indention">And</span>
  <span class="name">user add id 7</span>
  
  <span class="lead-duration duration">001ms</span>

  </div>

        


        
        

        

        

      </div>
          <div class="step">
        
<div class="brief passed">
  <span class="keyword indention">And</span>
  <span class="name">user add author ""</span>
  
  <span class="lead-duration duration">000ms</span>

  </div>

        


        
        

        

        

      </div>
          <div class="step">
        
<div class="brief passed">
  <span class="keyword indention">And</span>
  <span class="name">user add title "SBT-TITLE"</span>
  
  <span class="lead-duration duration">000ms</span>

  </div>

        


        
        

        

        

      </div>
          <div class="step">
        
<div class="brief passed">
  <span class="keyword indention">Then</span>
  <span class="name">Service call with POST Method</span>
  
  <span class="lead-duration duration">1s 826ms</span>

  </div>

        


        
        

        

        

      </div>
          <div class="step">
        
<div class="brief passed">
  <span class="keyword indention">And</span>
  <span class="name">validate the response with "SBT-TITLE"</span>
  
  <span class="lead-duration duration">691ms</span>

  </div>

        


        
        

        

        

      </div>
          <div class="step">
        
<div class="brief passed">
  <span class="keyword indention">And</span>
  <span class="name">validate the response with statuscode 201</span>
  
  <span class="lead-duration duration">000ms</span>

  </div>

        


        
        

        

        

      </div>
      </div>
</div>


    

  </div>
</div>

                  </div>

      </div>
    </div>
  </div>
</div>
<br>

<nav class="navbar navbar-default" id="footer">
  <div class="container-fluid">
    <p class="navbar-text navbar-right">
        <small>generate Cucumber HTML reports via:&nbsp;</small>
        <a class="navbar-link" href="https://github.com/jenkinsci/cucumber-reports-plugin">Jenkins Plugin</a> |
        <a class="navbar-link" href="https://github.com/damianszczepanik/cucumber-reporting">Standalone</a> |
        <a class="navbar-link" href="https://github.com/damianszczepanik/cucumber-sandwich">Sandwich</a> |
        <a class="navbar-link" href="https://github.com/damianszczepanik/maven-cucumber-reporting">Maven</a>
        &nbsp;&nbsp;
    </p>
  </div>
</nav>

</body>
</html>
